Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "pipedrive",
  "type": "PIPEDRIVE_TRIGGER_RECORD_CREATED",
  "parameters": {
    "recordType": "activities",
    "triggerFilterFormula": {
      "operator": "OR",
      "conditions": [
        {
          "operator": "AND",
          "conditions": [
            {
              "field": "field",
              "operator": "$arrayIsEmpty",
              "value": "example-value"
            }
          ]
        }
      ]
    }
  }
}
Configuration options:
recordType
ENUM
required
Record Type
  • Allowed values: activities, activities_v2, deals, deals_v2, organizations, organizations_v2, persons, persons_v2, notes
  • Options can be loaded by using the cacheObjectTypes key. Learn more in User Configuration.
triggerFilterFormula
CONDITIONAL
Only trigger on records that match these filters.
  • Supported filter fields are loaded from cacheObjectFields after selecting recordType.
  • Supported operators: $arrayIsEmpty, $arrayIsNotEmpty, $booleanFalse, $booleanTrue, $dateTimeAfter, $dateTimeBefore, $dateTimeEquals, $isUndefinedOrNull, $isNotUndefinedOrNull, $exists, $doesNotExist, $numberDoesNotEqual, $numberEquals, $numberGreaterThan, $numberLessThan, $stringContains, $stringDoesNotContain, $stringDoesNotEndWith, $stringDoesNotExactlyMatch, $stringDoesNotStartWith, $stringEndsWith, $stringExactlyMatches, $stringIsIn, $stringIsNotIn, $stringStartsWith